Skip to main content
GET
/
v0
/
tests
/
{id}
JavaScript
import Avido from 'avido';

const client = new Avido({
  apiKey: process.env['AVIDO_API_KEY'], // This is the default and can be omitted
  applicationID: process.env['AVIDO_APPLICATION_ID'], // This is the default and can be omitted
});

const test = await client.tests.retrieve('123e4567-e89b-12d3-a456-426614174000');

console.log(test.test);
{
  "id": "123e4567-e89b-12d3-a456-426614174000",
  "createdAt": "2024-01-05T12:34:56.789Z",
  "modifiedAt": "2024-01-05T12:34:56.789Z",
  "status": "COMPLETED"
}

Authorizations

x-api-key
string
header
required

Your unique Avido API key

x-application-id
string
header
required

Your unique Avido Application ID

Path Parameters

id
string<uuid>
required

The unique identifier of the test

Pattern: ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
Example:

"123e4567-e89b-12d3-a456-426614174000"

Response

Successfully retrieved test

test
TestDetail · object
required

A Test with additional detail fields including the run type